Bug 108778 - Building py-gd tries to pull in X even when WITHOUT_X11 is defined
Summary: Building py-gd tries to pull in X even when WITHOUT_X11 is defined
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hye-Shik Chang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-05 00:20 UTC by D'Arcy J.M.Cain
Modified: 2007-02-12 12:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D'Arcy J.M.Cain 2007-02-05 00:20:24 UTC
Building py-gd tries to pull in X even when WITHOUT_X11 is defined

Fix: Looks like a test is reversed.  This should fix it.



LIB_DEPENDS=   gd.4:${PORTSDIR}/graphics/gd

-.if defined(WITHOUT_X11)
+.if !defined(WITHOUT_X11)
 USE_XPM=       yes
 .endif
 USE_PYTHON=    yes--BmwxX98x1xDfGY0q9e5qfUqDQTsv6lZ1Qh96lyKUCcUC71ZB
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: graphics/py-gd/Makefile
===================================================================
RCS file: /home/ncvs/ports/graphics/py-gd/Makefile,v
retrieving revision 1.23
diff -u -p -u -r1.23 Makefile
--- graphics/py-gd/Makefile     7 May 2006 23:46:23 -0000       1.23
+++ graphics/py-gd/Makefile     29 Jan 2007 19:18:39 -0000
@@ -16,7 +16,7 @@ COMMENT=      Python interface to the GD libr
How-To-Repeat: On a machine without X and WITHOUT_X11 defined build graphics/py-gd
Comment 1 Cheng-Lung Sung freebsd_committer 2007-02-05 00:25:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll take it.
Comment 2 Cheng-Lung Sung freebsd_committer 2007-02-12 08:45:13 UTC
Responsible Changed
From-To: clsung->perky

perky's ports.
Comment 3 Hye-Shik Chang freebsd_committer 2007-02-12 12:19:00 UTC
State Changed
From-To: open->closed

Fixed. Thank you!
Comment 4 dfilter service freebsd_committer 2007-02-12 12:22:55 UTC
perky       2007-02-12 12:22:46 UTC

  FreeBSD ports repository

  Modified files:
    graphics/py-gd       Makefile 
  Log:
  Correct dependency to a X library for WITHOUT_X11 option.
  
  PR:             108778
  Submitted by:   D'Arcy J.M.Cain <darcy@dilbert.druid.net>
  
  Revision  Changes    Path
  1.24      +2 -1      ports/graphics/py-gd/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"